This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004491 - Cannot close form modeler after save operation.
Cannot close form modeler after save operation.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Roger Martínez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 14:16 EDT by Marek Baluch
Modified: 2014-08-06 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Summary: Due to duplicate AJAX calls, the requests submitted from FormModeler page anchors when a user clicks on a menu item is erroneously sent twice. This results in the Header Panel being hidden. This behavior only occurs in Google Chrome browser. Use an alternate browser till a fix is available. Cause: The request's submitted from form modeler page anchors were duplicated, request was sent twice. Consequence: Header panel for form modeler screen was hidden. Fix: Send only one single ajax request on form modeler page anchors. Result: Header panel for form modeler is always visible.
Story Points: ---
Clone Of:
Environment:
BPMS 6.0.0.ER2
Last Closed: 2014-08-06 16:08:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error image (205.10 KB, image/png)
2013-09-04 14:16 EDT, Marek Baluch
no flags Details
ok image (192.02 KB, image/png)
2013-09-04 14:16 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-09-04 14:16:19 EDT
Created attachment 793769 [details]
error image

Description of problem:
When a modified task form is saved then the panel which contains the 'x' (close) icon will disappear. See attached image (error.ong).

Steps to Reproduce:
1. Open a form
2. Make a change
3. Save

Current result:
see error.png

Expected result:
see ok.png
Comment 1 Marek Baluch 2013-09-04 14:16:43 EDT
Created attachment 793770 [details]
ok image
Comment 2 Pere Fernàndez 2013-09-05 10:37:33 EDT
This is issue only happens in chrome. It seems that chrome has some problems with components resizing. We will take a look at it for the next review.
Comment 3 Roger Martínez 2013-09-30 11:39:39 EDT
With last master version, It only happens when changing between tabs (Add fields by origin, add fields by type...), not when clicking on save button.
Comment 4 Marek Baluch 2013-10-01 08:29:24 EDT
returning back - based on the description this qualifies indeed as medium
Comment 10 Jan Hrcek 2013-10-18 05:08:41 EDT
Ok, I confirm, that the problem with Save button is solved in BPMS 6.0.0 ER4

However the problem with upper panel disappearing in chrome when you click on items in the FormModeler upper menu is still present. I see the commit that was supposed to fix wasn't added to the ER4 - it should be added in the next release. Changing the status to Assigned -> Modified so it gets verified in the next version.
Comment 11 Jan Hrcek 2013-11-29 08:35:19 EST
Ok, I verify, that in BPMS 6.0.0 ER5 also the 2nd issue (form modeler tabs disappearing after being clicked in chrome) has been solved.

Note You need to log in before you can comment on or make changes to this bug.